Skip to main content

STU3 Observation

The Observation resource provides "measurements and simple assertions made about a patient, device or other subject".

Supported Profiles​

This API supports the following FHIR profiles:

Operations​

The Certified API Observation resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED-Yes-Yes
myAvatar-Yes-Yes
myEvolv-Yes-Yes
myUnity-Yes-Yes
info

Not all Netsmart solutions support Observation search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters​

NameTypeDescription
patientreferenceREQUIRED The subject that the observation is about (if patient)
categorytokenREQUIRED The classification of the type of observation
_ididUnique identifier of the Observation. Cannot be used with other search parameters.

Search Examples​

Via POST​

The POST method is recommended as it keeps health information out of the URL.

Search by Patient and Category
curl -X POST https://fhir.netsmartcloud.com/fhir/Observation/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/147" \
-d "category=laboratory"
Via GET​
Search by Patient and Category
curl -X GET "https://fhir.netsmartcloud.com/fhir/Observation?patient=Patient/147&category=laboratory" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"